| LicenseSpring Management .Net SDK 1.16.1 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Properties | List of all members
LicenseSpring.UsageHistory Class Reference

Class that holds information about usage history. More...

Inheritance diagram for LicenseSpring.UsageHistory:

## Properties
string | Data`[get]`
| Additional data.
Device | Device`[get]`
| Device on which the license was used.
ulong | Id`[get]`
| 16 digit number, automatically generated by the LicenseSpring.
string | Level`[get]`
| Log level e.g. "info".
ulong | License`[get]`
| 16 digit number of the license id.
ulong | LicenseProductFeature`[get]`
| 16 digit number of the license product feature id if the usage is related to a product feature.
LicenseUser | LicenseUser`[get]`
| License user that performed the action.
string | SdkVersion`[get]`
| Version of the sdk if the source of the action is "sdk".
string | Source`[get]`
| Source of the action e.g. "sdk", "api".
string | Text`[get]`
| Usage description.
System.DateTime | Time`[get]`
| Time of the the action.
Properties inherited from LicenseSpring.IUsageHistory

## Detailed Description

Class that holds information about usage history.

## Property Documentation

## ◆ Data

string LicenseSpring.UsageHistory.Data
| get

Additional data.

Implements LicenseSpring.IUsageHistory.

## ◆ Device

Device LicenseSpring.UsageHistory.Device
| get

Device on which the license was used.

Implements LicenseSpring.IUsageHistory.

## ◆ Id

ulong LicenseSpring.UsageHistory.Id
| get

16 digit number, automatically generated by the LicenseSpring.

Implements LicenseSpring.IUsageHistory.

## ◆ Level

string LicenseSpring.UsageHistory.Level
| get

Log level e.g. "info".

Implements LicenseSpring.IUsageHistory.

## ◆ License

ulong LicenseSpring.UsageHistory.License
| get

16 digit number of the license id.

Implements LicenseSpring.IUsageHistory.

## ◆ LicenseProductFeature

ulong LicenseSpring.UsageHistory.LicenseProductFeature
| get

16 digit number of the license product feature id if the usage is related to a product feature.

Implements LicenseSpring.IUsageHistory.

## ◆ LicenseUser

LicenseUser LicenseSpring.UsageHistory.LicenseUser
| get

License user that performed the action.

Implements LicenseSpring.IUsageHistory.

## ◆ SdkVersion

string LicenseSpring.UsageHistory.SdkVersion
| get

Version of the sdk if the source of the action is "sdk".

Implements LicenseSpring.IUsageHistory.

## ◆ Source

string LicenseSpring.UsageHistory.Source
| get

Source of the action e.g. "sdk", "api".

Implements LicenseSpring.IUsageHistory.

## ◆ Text

string LicenseSpring.UsageHistory.Text
| get

Usage description.

Implements LicenseSpring.IUsageHistory.

## ◆ Time

System.DateTime LicenseSpring.UsageHistory.Time
| get

Time of the the action.

Implements LicenseSpring.IUsageHistory.

The documentation for this class was generated from the following file:

- UsageHistory.cs